com.holonplatform.json.config

## Class JsonConfigProperties.JsonConfigPropertiesImpl

- java.lang.Object
- - com.holonplatform.core.internal.config.DefaultConfigPropertySet
  - - com.holonplatform.json.config.JsonConfigProperties.JsonConfigPropertiesImpl

- All Implemented Interfaces:
    com.holonplatform.core.config.ConfigPropertySet, JsonConfigProperties
  Enclosing interface:
    JsonConfigProperties

      public static class JsonConfigProperties.JsonConfigPropertiesImpl
      extends com.holonplatform.core.internal.config.DefaultConfigPropertySet
      implements JsonConfigProperties

  Default implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.holonplatform.core.internal.config.DefaultConfigPropertySet

      `com.holonplatform.core.internal.config.DefaultConfigPropertySet.DefaultBuilder<C extends com.holonplatform.core.config.ConfigPropertySet>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.json.config.JsonConfigProperties

      `JsonConfigProperties.JsonConfigPropertiesImpl`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `com.holonplatform.core.config.ConfigPropertySet.Builder<C extends com.holonplatform.core.config.ConfigPropertySet>, com.holonplatform.core.config.ConfigPropertySet.ConfigurationException`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.json.config.JsonConfigProperties

      `DEFAULT_NAME, PROPERTYBOX_SERIALIZATION_MODE, PROPERTYBOX_SERIALIZATION_MODE_ATTRIBUTE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonConfigPropertiesImpl()`

  - ### Method Summary

    - ### Methods inherited from class com.holonplatform.core.internal.config.DefaultConfigPropertySet

      `addAliasName, addPropertyProvider, getConfigPropertyName, getConfigPropertyValue, getName, getSubPropertiesUsingPrefix, hasConfigProperty, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.json.config.JsonConfigProperties

      `builder`

    - ### Methods inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `getConfigPropertyName, getConfigPropertyValue, getConfigPropertyValue, getConfigPropertyValueOrElse, getName, getSubPropertiesUsingPrefix, hasConfigProperty`

- - ### Constructor Detail

    - #### JsonConfigPropertiesImpl

          public JsonConfigPropertiesImpl()

Copyright © 2019 The Holon Platform. All rights reserved.